/***************************************************************************
 *            notify.c
 *
 *  Fri Oct 24 11:27:49 2003
 *  Copyright  2003  Phil Kett
 *  pkett@genesis-midi.com
 ****************************************************************************/


#include "../include/remsync.h"

int
notify (char *filename)
{
	int len, count, fp;
	char buffer[BIG_BUF];
	char fullname[BIG_BUF];

	len = strlen (filename);
	for (count = 0; count <= len; count++)
	{
		if (filename[count] == '/')
		{
			buffer[count] = '~';
		}
		else
		{
			buffer[count] = filename[count];
		}
	}
	buffer[len+1] = '\0';
	sprintf (fullname, "%s/%s", conf.notify, buffer);
	fp = open (fullname, O_CREAT | O_TRUNC | O_WRONLY | O_BINARY, 0777);
	if (fp == -1)
	{
		syslog(LOG_ERR,"Notify failed: %s (%m)",fullname);
		return (-1);
	}
	close (fp);
	return (0);
	
}
